#ifndef __RefValueCtrl_h__
#define __RefValueCtrl_h__
#include <applstdef_emC.h>





typedef struct RefValueCtrl_t {
  union { ObjectJc object; } base;

  float testVal1[2];

  float testVal2[2];
} RefValueCtrl_s;

extern_C ClassJc const refl_RefValueCtrl;

void ctor_RefValueCtrl(RefValueCtrl_s* thiz);


/**Write data to DataStruct. 
 * Note: The Simulink coder cannot decide whether it is a scalar, vector or pointer
 * Therefore all arguments are unique given as address (pointer) 
 */

bool init__RefValueCtrl(RefValueCtrl_s* thiz, float const* testVal1, float const* testVal2);


void step__RefValueCtrl(RefValueCtrl_s* thiz);


inline void get_testVal1_RefValueCtrl(RefValueCtrl_s* thiz, float* testVal1) {
  memcpy(testVal1, thiz->testVal1, sizeof(thiz->testVal1));//float
}

inline void get_testVal2_RefValueCtrl(RefValueCtrl_s* thiz, float* testVal2) {
  memcpy(testVal2, thiz->testVal2, sizeof(thiz->testVal2));//float
}
#endif  //__RefValueCtrl_h__
